POST Update Group
URL: /group
Accessible by: Smart accounts (Si, Carrier, Bryant, ecobee3 thermostats) only. Excludes Smart thermostats.
Updating groups is performed with a POST request. This request permits the modification of any writable Group object properties. See Group for more information.
Note: The Selection.SelectionType can only be registered for this request.
Request Properties
| Property | Version | Type | Required | Description |
|---|---|---|---|---|
| selection | 1 | Selection | Yes | The selection criteria for update. |
| Groups | 1 | Group [] | No | The list of Groups to update. |
Response Properties
| Property | Version | Type | Read Only | Required | Description |
|---|---|---|---|---|---|
| groups | 1 | Group [] | Yes | n/a | The list of Groups updated by the request. |
| status | 1 | Status | Yes | n/a | The api response code. |
Example Request:
Request Body
The group update example POSTs an update for 2 Groups, giving each group a name, setting some properties, and assigning 1 Thermostat to each group.
NOTE: Request body is not encoded for example purposes.
HEADERS:
Content-Type: application/json;charset=UTF-8
Authorization: Bearer Rc7JE8P7XUgSCPogLOx2VLMfITqQQrjg
REQUEST:
POST https://api.ecobee.com/1/group?format=json
POST BODY:
{
"selection":{
"selectionType":"registered"
},
"groups": [
{
"groupRef": "3d03a26fd80001",
"groupName": "ground_floor",
"synchronizeAlerts": true,
"synchronizeVacation": true,
"thermostats": [
"123456789101"
]
},
{
"groupRef": "3bb5a91b180001",
"groupName": "first_floor",
"synchronizeAlerts": false,
"synchronizeSystemMode": false,
"synchronizeSchedule": false,
"synchronizeQuickSave": false,
"synchronizeReminders": false,
"synchronizeContractorInfo": false,
"synchronizeUserPreferences": false,
"synchronizeUtilityInfo": false,
"synchronizeLocation": false,
"synchronizeReset": true,
"synchronizeVacation": true,
"thermostats": [
"123456789102"
]
}
]
}
Sample API Call
Show code sample in:
curl -s --request POST --data-urlencode @json.txt -H "Content-Type: application/json;charset=UTF-8" -H "Authorization: Bearer ACCESS_TOKEN" "https://api.ecobee.com/1/group?format=json"
Example Response:
{
"groups": [
{
"groupRef": "3bb5a91b180001",
"groupName": "ground_floor",
"synchronizeAlerts": false,
"synchronizeSystemMode": true,
"synchronizeSchedule": false,
"synchronizeQuickSave": false,
"synchronizeReminders": false,
"synchronizeContractorInfo": false,
"synchronizeUserPreferences": false,
"synchronizeUtilityInfo": false,
"synchronizeLocation": false,
"synchronizeReset": true,
"synchronizeVacation": false,
"thermostats": [
"123456789101"
]
},
{
"groupRef": "3bb5a91b180000",
"groupName": "first_floor",
"synchronizeAlerts": false,
"synchronizeSystemMode": true,
"synchronizeSchedule": false,
"synchronizeQuickSave": false,
"synchronizeReminders": false,
"synchronizeContractorInfo": false,
"synchronizeUserPreferences": false,
"synchronizeUtilityInfo": false,
"synchronizeLocation": false,
"synchronizeReset": true,
"synchronizeVacation": false,
"thermostats": [
"123456789102"
]
}
],
"status": {
"code": 0,
"message": ""
}
}